=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CFLAGS='-std=c++11' '-Wc++0x-compat'

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -rf build build-stamp configure-stamp build/ MANIFEST
	dh_clean
