=== debian/watch ===
version=3
https://github.com/ovidiopr/scattnlay/archive/v2\.2\.0\.tar\.gz
